Skip to navigation

Get Order Details

Search for orders based on criteria

Authentication

AuthorizationBearer
Find your Client ID and Secret on your app info page. 1. Select "Try It" 2. In the Security section enter your Client ID and Secret 3. Select "Request Token" 4. Enter any additional information in the Body and Parameters sections 5. Select "Send" to execute your API request"

Headers

transIdstringOptional
Unique transaction ID for debugging and tracking.
transactionSrcstringRequiredformat: "^[a-zA-Z0-9-.]{1,36}$"1-36 characters

Identifies the client/source application that is calling.

X-BusinessGUIDstringRequiredformat: "^[0-9a-fA-F]{8}[-]?([0-9a-fA-F]{4}[-]?){3}[0-9a-fA-F]{12}$"=36 characters
Unique business GUID.
X-ClientIdstringRequired
Unique client Id.

Query parameters

criteriaobjectRequired
The criteria used to search for Orders

Response headers

BkndTransIdstringOptional
The backend transaction id.
transIdstringOptional
An identifier unique to the request.
transactionSrcstringOptional

Identifies the client/source application that is calling.

Content-TypestringOptional

The Content-Type header provides the client with the actual content/media type of the returned content.

X-BusinessGUIDstringOptional
Unique business GUID.
X-ClientIdstringOptional
Unique client Id.

Response

OK
responseobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error